Page MenuHomePhabricator

Fatal error: Call to undefined method JsonSchemaContent::getHtml() at includes/content/TextContent.php on line 216
Closed, ResolvedPublic

Description

[10-Jun-2013 18:27:52] Fatal error: Call to undefined method JsonSchemaContent::getHtml() at /usr/local/apache/common-local/php-1.22wmf6/includes/content/TextContent.php on line 216
Server: mw1044
Method: GET
URL: http://meta.wikimedia.org/wiki/Schema:GettingStarted
Backtrace:
#0 /usr/local/apache/common-local/php-1.22wmf6/includes/content/TextContent.php(216): TextContent->fillParserOutput()
#1 /usr/local/apache/common-local/php-1.22wmf6/includes/content/AbstractContent.php(472): TextContent->fillParserOutput(Object(Title), 5285779, Object(ParserOptions), true, Object(ParserOutput))
#2 /usr/local/apache/common-local/php-1.22wmf6/extensions/EventLogging/includes/JsonSchemaContent.php(144): AbstractContent->getParserOutput(Object(Title), 5285779, Object(ParserOptions), true)
#3 /usr/local/apache/common-local/php-1.22wmf6/includes/WikiPage.php(3424): JsonSchemaContent->getParserOutput(Object(Title), 5285779, Object(ParserOptions))
#4 /usr/local/apache/common-local/php-1.22wmf6/includes/PoolCounter.php(222): PoolWorkArticleView->doWork()
#5 /usr/local/apache/common-local/php-1.22wmf6/includes/Article.php(708): PoolCounterWork->execute()
#6 /usr/local/apache/common-local/php-1.22wmf6/includes/actions/ViewAction.php(44): Article->view()
#7 /usr/local/apache/common-local/php-1.22wmf6/includes/Wiki.php(439): ViewAction->show()
#8 /usr/local/apache/common-local/php-1.22wmf6/includes/Wiki.php(305): MediaWiki->performAction(Object(Article), Object(Title))
#9 /usr/local/apache/common-local/php-1.22wmf6/includes/Wiki.php(565): MediaWiki->performRequest()
#10 /usr/local/apache/common-local/php-1.22wmf6/includes/Wiki.php(458): MediaWiki->main()
#11 /usr/local/apache/common-local/php-1.22wmf6/index.php(55): MediaWiki->run()
#12 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#13 {main}


Version: unspecified
Severity: normal

Details

Reference
bz49398

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:05 AM
bzimport set Reference to bz49398.
Reedy created this task.Jun 10 2013, 6:31 PM

Related URL: https://gerrit.wikimedia.org/r/67857 (Gerrit Change Ie900ec7c2b303d95abdf1d984082a72e50371957)

Related URL: https://gerrit.wikimedia.org/r/67857 (Gerrit Change Ie900ec7c2b303d95abdf1d984082a72e50371957)

Related URL: https://gerrit.wikimedia.org/r/67860 (Gerrit Change Idcef8d4cedc7c03f72bc1743e0f89cc5ed4ad7a7)

Related URL: https://gerrit.wikimedia.org/r/67863 (Gerrit Change Idcef8d4cedc7c03f72bc1743e0f89cc5ed4ad7a7)

This was introduced by gerrit 28199, the changes above work around or revert it.

Were a wiki to use CONTENT_MODEL_TEXT in a namespace, it would also get this error, since TextContent calls getHtml() and doesn't implement it.

https://gerrit.wikimedia.org/r/67857 (Gerrit Change Ie900ec7c2b303d95abdf1d984082a72e50371957) | change ABANDONED [by Ori.livneh]

ori added a comment.Jun 10 2013, 7:38 PM

Fixed by reverting Ibfb2cbefe.

Here's a fixed version of the original patch: https://gerrit.wikimedia.org/r/#/c/67983/

Sorry that I didn't notice the issue before submitting - that's what you get for relying on unit tests, see bug 49435.

Denny added a comment.Aug 22 2013, 2:55 PM

Closed older resolved bugs as verified.

[moving from MediaWiki extensions to Analytics product - see bug 61946]